#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, m, d, u, i, j, br=0, l, r, x;
    scanf("%d %d", &n, &m);
    int di[n];
    int ui[n];
    int li[m];
    int ri[m];
    int xi[m];
    int re[m];
    for(i=0; i<n; i++)
    {
        scanf("%d %d", &di[i], &ui[i]);
    }
    for(i=0; i<m; i++)
    {
        scanf("%d %d %d", &l, &r, &x);
        li[i] = l;
        ri[i] = r;
        xi[i] = x;
    }
    for(i=0; i<m; i++)
    {
        br=0;
        for(j=li[i]-1; j<ri[i];j++)
        {
            if(xi[i]>=di[j] && xi[i]<=ui[j])
            {
                br++;
            }
        }
        re[i] = br;
    }
    for(i=0; i<m; i++)
    {
        printf("%d\n", re[i]);
    }
}